/* Card Container */
.styled-card {
    width: 317px;
    height: 332px;
    border-radius: 23px;
    background-color: white;
    position: relative;
    padding: 2px; /* Spacing for border */
    background: linear-gradient(white, white, white) padding-box, 
                linear-gradient(128deg, #007BFF, #FFFFFF, #007BFF) border-box;
    border: 2px solid transparent;
    padding: 26px 19px;
    transition: transform 0.3s ease, box-shadow 0.3s ease;
    box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.1);
}

/* Hover Effect on Card */
.styled-card:hover {
    transform: translateY(-10px);
    box-shadow: 0px 8px 20px rgba(0, 123, 255, 0.2);
}

/* Card Content */
.styled-card-content {
    display: flex;
    flex-direction: column;
    gap: 32px;
}

/* Card Header */
.card-head {
    display: flex;
    align-items: center;
    font-family: 'Poppins';
}

.card-head h4 {
    font-size: 24px;
    font-weight: 500;
    line-height: 36px;
    color: #010B27;
}

/* Card Text */
.styled-card-content p {
    font-family: 'Inter';
    font-size: 20px;
    line-height: 30px;
    font-weight: 400;
}

/* Divider */
.card-devider {
    height: 0.7px;
    width: 100%;
    /* padding: 0 19px; */
    background: linear-gradient(90deg, #0C92F0 0%, #BC94FA 56%, #0C92F0 100%);
    border-radius: 50%;
    /* margin-bottom: 10px; */
    opacity: 30%;
}

/* Card Footer */
.card-footer {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 60%;
}

/* Learn More Link */
.learn-more-link {
    display: flex;
    align-items: center;
    text-decoration: none;
    gap: 20px;
    color: #007BFF;
    font-family: 'Inter';
    font-size: 16px;
    font-weight: 500;
    line-height: 19.36px;
    position: relative;
    overflow: hidden;
    transition: color 0.3s ease;
    width: 100%;
}

/* Hover Effect on Learn More Link */
.learn-more-link:hover {
    color: #0056b3;
}

/* Animated Underline */
.learn-more-link::after {
    content: '';
    position: absolute;
    width: 100%;
    height: 2px;
    background: #007BFF;
    bottom: -2px;
    left: 0;
    transform: scaleX(0);
    transition: transform 0.3s ease;
    transform-origin: right;
}

.learn-more-link:hover::after {
    transform: scaleX(1);
    transform-origin: left;
}

/* Arrow Button */
.card-arrow {
    width: 35.5px;
    height: 35.5px;
    background-color: #F0F6FC;
    border-radius: 35.5px;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: background-color 0.3s ease, transform 0.3s ease;
}

.card-arrow img {
    width: 18px; /* Adjust size as needed */
}

/* Hover Effect on Arrow */
.learn-more-link:hover .card-arrow {
    background-color: #007bff4f;
    transform: translateX(5px);
}

.learn-more-link:hover .card-arrow img {
    filter: brightness(1000%);
}


/* Disclaimer section */

.disclaimer {
    display: flex;
    flex-direction: column;
    text-align: center;
    margin-bottom: 40px;
    font-family: 'Poppins';
}

.disclaimer h3 {
    font-size: 38px;
    font-weight: 500;
    line-height: 100%;
    color: #010B27;
}

.disclaimer p {
    font-size: 18px;
    font-weight: 400;
    font-family: 'Inter';
    line-height: 159%;
    color: #010B27;
}

.flex-container {
    display: flex;
    justify-content: center; /* Center the grid as a whole */
}

.banner-text {
    max-width: 1039px;
    text-align: center;
    margin: auto;
    padding: 0 0 100px 0;
    line-height: 1.5;
}

.banner-text .line-1 {
    font-size: 30px; /* Largest */
    font-weight: bold;
}

.banner-text .line-2 {
    font-size: 25px; /* Medium */
    font-weight: normal;
}

.banner-text .line-3 {
    font-size: 20px; /* Smallest */
    font-weight: normal;
}



/* Mobile Styles */
@media (max-width: 768px) {

    .section-title {
        font-size: 20px;
    }
    .banner-text{
        font-size: 12px;
    }
    .disclaimer p {
        font-size: 14px;
        text-align: justify;
    }
}